<%@ LANGUAGE="VBSCRIPT" %>
<% 

Option Explicit ' Always use this

' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
' Connect to the database
' This could be placed in an include as its used in 
' multiple files, but we keep it here for simplicity
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

' Declare some vars
Dim connection, connectionString, recordSet

' Create the database connection
Set connection = Server.CreateObject("ADODB.Connection")

' Create the connection string
connectionString = "DBQ=" & Server.MapPath("Poll.mdb") & ";DRIVER={Microsoft Access Driver (*.mdb)}"
connection.ConnectionString = connectionString

' Open the connection
connection.Open()

' Create the getUserID record set to use
Set recordSet = Server.CreateObject("ADODB.Recordset")







' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
' Select all the votes
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

' Declare some vars
Dim selectStatement, item1, item2, item3, item4, pollID

' To make the database relational we use a pollID
pollID = 1

' Build the select statment
selectStatement = "Select Item1, Item2, Item3, Item4 from Polls Where pollID = " & pollID

' Make the query
recordSet.open selectStatement, connection

' Pull the data out
item1 = recordSet("Item1")
item2 = recordSet("Item2")
item3 = recordSet("Item3")
item4 = recordSet("Item4")

' Close the record set
recordSet.close










' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
' Check to see if the user is voting or not
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

' Declare some vars
Dim updateStatement, choice, total

' Get the choice from the url
choice = request("choice")

' If choice is not set, don't do this
if choice <> "" then

	' Update the right one
	' This could be done in a clever way, but this is simpler
	if choice = 1 then
		item1 = item1 + 1
		total = item1
	elseif choice = 2 then
		item2 = item2 + 1
		total = item2
	elseif choice = 3 then
		item3 = item3 + 1
		total = item3
	elseif choice = 4 then
		item4 = item4 + 1
		total = item4
	end if
	
	' Build the update statment
	updateStatement = "Update Polls" &_
						" set Item" & choice & " = " & total &_
						" where PollID = " & pollID

	' Make the query
	recordSet.open updateStatement, connection
end if






' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
' Return the data
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

' Declare some vars
Dim output

' Calculate the total
total = item1 + item2 + item3 + item4

' Build the return string
output = "&totalVotes=" & total & "&item1total=" & item1 & "&item2total=" & item2 & "&item3total=" & item3 & "&item4total=" & item4 & "&"

' Output it
Response.write output








' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
' Clean up
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

' Close the database connection
connection.close

' Null everything out
Set connection = nothing
Set recordSet = nothing
%>